Child Address Deposit
curl --request POST \
--url https://api.blockradar.co/v1/addresses/{addressId}/gateway/deposit/{walletId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": "AMOUNT_TO_DEPOSIT",
"code": "OPTIONAL_2FA_CODE",
"metadata": "OPTIONAL_META_DATA",
"note": "OPTIONAL_NOTE",
"reference": "OPTIONAL_REFERENCE_CODE"
}
'import requests
url = "https://api.blockradar.co/v1/addresses/{addressId}/gateway/deposit/{walletId}"
payload = {
"amount": "AMOUNT_TO_DEPOSIT",
"code": "OPTIONAL_2FA_CODE",
"metadata": "OPTIONAL_META_DATA",
"note": "OPTIONAL_NOTE",
"reference": "OPTIONAL_REFERENCE_CODE"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 'AMOUNT_TO_DEPOSIT',
code: 'OPTIONAL_2FA_CODE',
metadata: 'OPTIONAL_META_DATA',
note: 'OPTIONAL_NOTE',
reference: 'OPTIONAL_REFERENCE_CODE'
})
};
fetch('https://api.blockradar.co/v1/addresses/{addressId}/gateway/deposit/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amlScreening": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"amount": "5",
"amountPaid": "5",
"amountUSD": "5",
"asset": {
"address": "0x5425890298aed601595a70AB815c96711a31Bc65",
"createdAt": "2025-06-13T22:38:16.058Z",
"currency": "USD",
"decimals": 6,
"id": "e097a26e-0df5-4610-95d3-95f6cd1aa5c6",
"isActive": true,
"isNative": false,
"name": "USD Coin",
"network": "testnet",
"standard": null,
"symbol": "USDC",
"updatedAt": "2025-06-13T22:38:16.058Z"
},
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"blockHash": null,
"blockNumber": null,
"blockchain": {
"createdAt": "2025-06-13T22:30:37.053Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "359c81bc-04ac-47a3-be96-775a7d7cae05",
"isActive": true,
"isEvmCompatible": true,
"isL2": false,
"name": "avalanche",
"slug": "avalanche",
"symbol": "avax",
"tokenStandard": null,
"updatedAt": "2025-06-13T22:30:37.053Z"
},
"chainId": 43113,
"confirmations": null,
"confirmed": false,
"createdAt": "2025-08-17T02:45:32.188Z",
"currency": "USD",
"fee": null,
"feeHash": null,
"gasFee": null,
"gasPrice": null,
"gasUsed": null,
"hash": null,
"id": "6f3836f2-3d00-40aa-a85b-e34e989b4c82",
"metadata": null,
"network": "testnet",
"note": "Deposit of 5 USDC to gateway smart wallet 0x0077777d7EBA4688BDeF3E311b846F25870A19B9",
"rate": null,
"rateUSD": "1",
"reason": "Balance Before: 8.2 USDC | Network Fee: 2.99004e-13 USDC | Gasless: false",
"recipientAddress": "0x0077777d7EBA4688BDeF3E311b846F25870A19B9",
"reference": "IsrFHR26J",
"senderAddress": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
"signedTransaction": null,
"status": "PENDING",
"toAmount": null,
"toCurrency": null,
"tokenAddress": "0x5425890298aed601595a70AB815c96711a31Bc65",
"type": "GATEWAY_DEPOSIT",
"updatedAt": "2025-08-17T02:45:32.188Z",
"wallet": {
"address": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
"configurations": {
"autoSweeping": {
"isActive": true,
"threshold": 0
},
"withdrawal": {
"gasless": {
"isActive": false,
"operator": "gt",
"threshold": 0
}
}
},
"createdAt": "2025-06-13T22:41:28.977Z",
"derivationPath": "m/44'/60'/0'/0/0",
"description": "Avalanche Master wallet",
"id": "79c7a18a-07be-4c1f-a046-94bf4964f392",
"isActive": true,
"name": "Avalanche",
"network": "testnet",
"status": "ACTIVE",
"updatedAt": "2025-06-13T22:41:28.977Z"
}
},
"message": "Deposit initiated successfully",
"statusCode": 200
}{
"message": "Gateway is not supported on optimism testnet",
"statusCode": 400
}Child Address Deposit
Deposit Funds to Gateway Address
This endpoint allows you to deposit a specified amount of funds into a gateway address associated with a particular wallet. It is typically used to move assets into the Blockradar system for further operations or transfers.
Request Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| amount | string | Yes | The amount to deposit. |
| reference | string | No | Optional reference code for tracking or reconciliation. |
| note | string | No | Optional note or message to associate with this deposit. |
| metadata | object | No | Optional metadata as key-value pairs for additional transaction details. |
Path Variables
| Variable | Description |
|---|---|
| addressId | The unique identifier of the gateway address to deposit to. |
| walletId | The unique identifier of the wallet associated with the deposit. |
POST
/
v1
/
addresses
/
{addressId}
/
gateway
/
deposit
/
{walletId}
Child Address Deposit
Authorizations
Path Parameters
Example:
"YOUR_ADDRESS_ID"
Example:
"YOUR_WALLET_ID"
Body
application/json
⌘I

